Bug 1266712 - trojita: FTBFS in rawhide
trojita: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: trojita (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Raphael Groner
Fedora Extras Quality Assurance
https://apps.fedoraproject.org/kosche...
: Reopened
Depends On:
Blocks: 1250005 1254125 1256476 1257267 1257356
  Show dependency treegraph
 
Reported: 2015-09-26 15:27 EDT by Raphael Groner
Modified: 2015-12-24 19:25 EST (History)
3 users (show)

See Also:
Fixed In Version: trojita-0.5-8.fc23 trojita-0.5-8.fc22 trojita-0.5a-2.20151216gitefa30f3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-24 19:25:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raphael Groner 2015-09-26 15:27:56 EDT
Description of problem:
Package trojita fails to build from source in rawhide.

Version-Release number of selected component (if applicable):
0.5-7.fc23

Steps to Reproduce:
koji build --scratch f24 trojita-0.5-7.fc23.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://apps.fedoraproject.org/koschei/package/trojita
Comment 1 Kevin Kofler 2015-09-27 19:07:11 EDT
error: definition of implicitly-declared 'Gui::AbookAddressbook::AbookAddressbook()' AbookAddressbook::AbookAddressbook(): m_updateTimer(0)

This appears to be a bug in upstream Trojita.

What the error message means is that if you're going to implement the default constructor with a function (method) definition, e.g.:
AbookAddressbook::AbookAddressbook(): m_updateTimer(0)
{
…
}
you need to explicitly declare it:
AbookAddressbook();
in your class definition. If you don't declare it, a default AbookAddressbook() constructor is inserted, but also with the default definition. I am surprised g++ ever let you get away with such an error.
Comment 2 Raphael Groner 2015-09-29 05:38:05 EDT
Hi Kevin,
thanks for your explanation, I'm already aware of that cause but did not find any spare time to prepare a patch although this FTBFS should be fixed ASAP cause of F23 final freeze is going to happen soon. No idea why g++ did not fail earlier. 
I would be happy if someone can suggest a patch to let me send it to upstream.
Comment 3 Kevin Kofler 2015-10-04 10:40:35 EDT
So I looked at the code, and I'm starting to think it is actually a g++ issue after all. I see this in the header file:

namespace Gui
{

/** @short A generic local adressbook interface*/
class AbookAddressbook : public QObject, public AbstractAddressbook {
    Q_OBJECT
public:
    AbookAddressbook();
…

so this is explicitly declared, why does g++ think it is implicitly declared?
Comment 4 Raphael Groner 2015-10-04 13:11:40 EDT
Kevin, this is no bug of g++. There's a missing inclusion of QObject header, you seem to concentrate at the error of cpp file only, but the parsing of header is failing at first.

Though after have fixed that header inclusion, I stumble upon other errors.
Comment 5 Upstream Release Monitoring 2015-10-05 07:14:49 EDT
raphgro's trojita-0.5-8.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=689647
Comment 6 Fedora Update System 2015-10-05 08:49:03 EDT
trojita-0.5-8.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-0c610f1807
Comment 7 Fedora Update System 2015-10-05 09:36:09 EDT
trojita-0.5-8.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d40188ca10
Comment 8 Fedora Update System 2015-10-05 21:08:01 EDT
trojita-0.5-8.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update trojita'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d40188ca10
Comment 9 Fedora Update System 2015-10-06 00:22:02 EDT
trojita-0.5-8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update trojita'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-0c610f1807
Comment 10 Fedora Update System 2015-10-12 02:27:48 EDT
trojita-0.5-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-10-19 21:55:20 EDT
trojita-0.5-8.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-12-17 05:27:23 EST
trojita-0.5a-2.20151216gitefa30f3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update trojita'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-afb9844b79
Comment 13 Fedora Update System 2015-12-24 19:25:51 EST
trojita-0.5a-2.20151216gitefa30f3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.